.image-container {
    position: relative;
    display: inline-block;
    overflow: hidden;
}

.image-container img {
    display: block;
    width: 100%;
    transition: transform 0.3s ease, filter 0.3s ease;
}

.image-container:hover img {
    transform: scale(1.09);
    filter: brightness(1.3);
}

/* Overlay cobrindo toda a imagem */
.overlay {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgb(225, 225, 225,0.6); /* branco transparente */
    display: flex;
    justify-content: center;
    align-items: center;
    opacity: 0;
    transition: opacity 0.8s ease;
    border: 5% solid transparent; /* espaço para recuo */
    box-sizing: border-box;
}

/* Borda interna recuada de 5% */
.overlay::before {
    content: "";
    position: absolute;
    top: 5%;
    left: 5%;
    right: 5%;
    bottom: 5%;
    border: 2px solid #fff; /* borda branca visível */
}

/* Exibir overlay ao passar o mouse */
.image-container:hover .overlay {
    opacity: 1;
}

/* Botão central */
.overlay-button {
    position: relative; /* para ficar acima da borda */
    background: rgba(0, 0, 0, 0.7);
    color: #e1e1e1;
    border: none;
    padding: 12px 24px;
    font-size: 16px;
    cursor: pointer;
    transition: background 0.3s ease;
    border-radius: 4px !important;
}

.overlay-button:hover {
    color: #e1e1e1;
    background: rgba(0, 0, 0, 0.9);
}
